classification
Title: PEP 3121, 384 refactoring applied to lzma module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Robin.Schreiber, asvetlov, corona10, nadeem.vawda, vstinner
Priority: normal Keywords: pep3121

Created on 2012-08-15 13:24 by Robin.Schreiber, last changed 2020-06-22 16:15 by corona10. This issue is now closed.

Files
File name Uploaded Description Edit
_lzma_pep3121-384_v0.patch Robin.Schreiber, 2012-08-15 13:24
Messages (3)
msg168294 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-15 13:24
Changes proposed in PEP3121 and PEP384 have now been applied to the lzma module!
msg168327 - (view) Author: Nadeem Vawda (nadeem.vawda) * (Python committer) Date: 2012-08-15 20:20
Thanks for the patch. Unfortunately I don't have much free time at the
moment, so it might be a few weeks before I get a chance to review it.
msg372098 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2020-06-22 16:15
Fixed by:

commit 1937edd376274cb26090d71253191502a9de32d6
Author: Dong-hee Na <donghee.na92@gmail.com>
Date:   Tue Jun 23 00:53:07 2020 +0900

    bpo-1635741: Port _lzma module to multiphase initialization  (GH-19382)
History
Date User Action Args
2020-06-22 16:15:51corona10setstatus: open -> closed

versions: + Python 3.10, - Python 3.4
nosy: + vstinner, corona10

messages: + msg372098
resolution: fixed
stage: resolved
2012-11-08 13:37:39Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-27 03:41:57belopolskylinkissue15787 dependencies
2012-08-17 16:40:36asvetlovsetnosy: + asvetlov
2012-08-15 20:20:50nadeem.vawdasetmessages: + msg168327
2012-08-15 13:24:30Robin.Schreibercreate